import 'package:test/test.dart';

import 'package:sane/collection.dart';


void main() {

  ObservableList list;

  setUp(() => list = ObservableList());

  test('add', () => list..add('a')..events.listen(expectAsync1((event) => event.kind == Kind.add && event.key == 0 && event.value == 'a')));

  test('clear', () => list..clear()..events.listen(expectAsync1((event) => event.kind == Kind.clear && event.key == null && event.value == null)));

}