import 'package:test/test.dart';

import 'package:sane/collection.dart';


void main() {

  ObservableMap map;

  setUp(() => map = ObservableMap());

  test('add', () => map..['a'] = 1..events.listen(expectAsync1((event) => event.kind == Kind.add && event.key == 'a' && event.value == 1)));

  test('remove', () => ObservableMap({'a': 1})..remove('a')..events.listen(expectAsync1((event) => event.kind == Kind.add && event.key == 'a' && event.value == 1)));

  test('clear', () => map..clear()..events.listen(expectAsync1((event) => event.kind == Kind.clear && event.key == null && event.value == null)));

}