import 'package:test/test.dart';

import 'package:sane/collection.dart';


void main() {

  ObservableSet set;

  setUp(() => set = ObservableSet());

  test('add', () => set..add('a')..events.listen(expectAsync1((event) => event.kind == Kind.add && event.value == 'a')));

  test('remove', () => set..remove('a')..events.listen(expectAsync1((event) => event.kind == Kind.add && event.value == 'a')));

  test('clear', () => set..clear()..events.listen(expectAsync1((event) => event.kind == Kind.clear && event.value == null)));

}