import 'package:test/test.dart';

import 'package:sane/core.dart';


void main() {

  test('@enumeration', () => expect(enumeration, 'fake enumeration'));

  group('@nullable', () {

    test('empty', () => expect(const Nullable().reason, ''));

    test('reason', () => expect(nullable.reason, ''));

  });

  group('@tainted', () {

    test('empty', () => expect(const Tainted().source, ''));

    test('source', () => expect(tainted.source, ''));

  });

  group('NumericalConstraint', () {

    test('empty', () => expect(const NumericalConstraint().reason, ''));

    test('positive', () => expect(positive.reason, ''));

    test('unsigned', () => expect(unsigned.reason, ''));

    test('nonZero', () => expect(nonZero.reason, ''));

    test('negative', () => expect(negative.reason, ''));

  });

}