import 'package:test/test.dart';

import 'package:sane/collection.dart';
import 'package:sane/core.dart';


void main() {

  group('Strings', () {
    for (final pair in [const Pair('', true), const Pair('', true), const Pair(' a', false), const Pair('abc', false)]) {
      test('blank', () {
        expect(pair.key.isBlank, pair.value);
        expect(pair.key.isNotBlank, !pair.value);
      });
    }

    for (final pair in [const Pair('', ''), const Pair('    ', '    '), const Pair('a', 'A'), const Pair('ab', 'Ab')]) {
      test('captializes ${pair.key} as ${pair.value}', () => expect(pair.key.capitalize(), pair.value));
    }

  });

}